# Parse a `GTF` file and return a dataframe of specified features.

Source: `R/utility_functions.R`
`import_gtf.Rd`

Parse a `GTF` file and return a dataframe of specified features.

    import_gtf(gtf_file, feature_type = "transcript", out_df = TRUE)

## Arguments

gtf_file | Path to the gtf/gff file that shall be analysed.
feature_type | Type of gtf features that shall be returned. Set to `NULL` for all features.
out_df | Set if returned object shall be converted to data frame.

## Value

If `out_df`=TRUE, a data frame of the available feature information (e.g. the tx2gene mapping information by default). Otherwise a `granges` object.

## Examples

    ## import_gtf("path_to/your_annotation_file.gtf")